Agents API

Duplicate agent

post
https://api.dev.poly.ai/v1/agents/{agentId}/duplicate

Body

application/json

DuplicateAgentBody

* Additional properties are NOT allowed.
newAgentIdstring

Match pattern:^[a-zA-Z0-9-]+$

newAgentNamestringrequired

>= 1 characters<= 100 characters

Response

200 application/json

Duplicated agent

CreateAgentResponse

* Additional properties are NOT allowed.
accountIdstringrequired
agentIdstringrequired
agentNamestringrequired
createdAtstringrequired
updatedAtstringrequired
branchCountnumberrequired
post/v1/agents/{agentId}/duplicate

Body

{ "newAgentName": "newAgentName" }
 
200 application/json

List branches

get
https://api.dev.poly.ai/v1/agents/{agentId}/branches

Response

200

List of branches

get/v1/agents/{agentId}/branches
 
200

Create branch

post
https://api.dev.poly.ai/v1/agents/{agentId}/branches

Body

application/json

CreateBranchBody

* Additional properties are NOT allowed.
branchNamestringrequired

>= 1 characters<= 100 characters

Response

201

Branch created

post/v1/agents/{agentId}/branches

Body

{ "branchName": "branchName" }
 
201

Delete branch

delete
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}

Response

200

Branch deleted

delete/v1/agents/{agentId}/branches/{branchId}
 
200

Merge branch

post
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/merge

Body

application/json

MergeBranchBody

* Additional properties are NOT allowed.
deploymentMessagestring

Default:

conflictResolutionsarray[object]
* Additional properties are NOT allowed.
Show Child Parameters

Response

200

Branch merged

post/v1/agents/{agentId}/branches/{branchId}/merge

Body

{}
 
200